<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/bg_shape_white_radius_12">
        
        <View
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:background="@drawable/bg_vgame_installed_launch_top"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/icon"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/ic_vgame_installed_launch_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toStartOf="@id/title"
            app:layout_constraintTop_toTopOf="@id/title"
            app:layout_constraintBottom_toBottomOf="@id/title"
            app:layout_constraintHorizontal_chainStyle="packed"/>

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toEndOf="@id/icon"
            app:layout_constraintEnd_toEndOf="parent"
            android:includeFontPadding="false"
            android:layout_marginTop="23.5dp"
            android:textStyle="bold"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/primary_title_text_size"
            android:text="@string/dialog_vgame_installed_launch_title" />

        <com.gh.gamecenter.common.view.FadingEdgeLayout
            android:id="@+id/vp_container"
            android:layout_width="match_parent"
            android:layout_height="96dp"
            android:layout_marginTop="16dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:fel_edge="left|right"
            app:fel_size_left="80dp"
            app:fel_size_right="80dp">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:clipChildren="false"
                android:clipToPadding="false"
                android:background="@drawable/bg_vgame_installed_launch_vp" />

        </com.gh.gamecenter.common.view.FadingEdgeLayout>

        <TextView
            android:id="@+id/game_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/vp_container"
            android:includeFontPadding="false"
            android:layout_marginTop="16dp"
            android:textStyle="bold"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_title_text_size"
            tools:text="游戏名称" />

        <TextView
            android:id="@+id/game_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/game_name"
            android:includeFontPadding="false"
            android:layout_marginTop="8dp"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/secondary_size"
            tools:text="加载完成，马上开始游戏吧" />

        <TextView
            android:id="@+id/launch"
            android:layout_width="0dp"
            android:layout_height="40dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/game_desc"
            app:layout_constraintBottom_toBottomOf="parent"
            android:includeFontPadding="false"
            android:layout_marginTop="16dp"
            android:layout_marginStart="24dp"
            android:layout_marginEnd="24dp"
            android:layout_marginBottom="24dp"
            android:gravity="center"
            android:textColor="@color/text_aw_primary"
            android:textSize="@dimen/primary_text_size"
            android:background="@drawable/background_shape_theme_radius_999"
            android:textStyle="bold"
            android:text="@string/dialog_vgame_installed_launch_button" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>